EDIT - feature request #8990

Implement flowering periods (temporal facts) in TaxEditor
04/30/2020 10:17 AM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.15

Severity: major

Description

This includes

P i "

label provider for factual data view needs to be adapted!

Related issues:

Related to EDIT - feature request #8802: Implement flowering period for Flora... Closed
Related to EDIT - feature request #8989: Implement flowering periods (tempora... Closed
Related to EDIT - feature request #9072: Layout issues temporal data details ... New

Copied to EDIT - feature request #9071: Implement formatter for TimePeriod, V... Closed

Associated revisions

Revision 6c9baadc - 06/12/2020 05:26 PM - Katja Luther
ref #8990: add temporal data to editor

Revision 58ed6b7d - 06/12/2020 10:43 PM - Katja Luther
ref #8990: add temporal data to editor - adapt date element

Revision bfadbcb7 - 06/15/2020 10:56 AM - Katja Luther
ref #8990: add formatter for extendedTimeperiod

Revision c9e66e15 - 06/15/2020 10:58 AM - Katja Luther

ref #8990: use the extendedTimePeriodPartialFormatter

Revision 7df3e4dd - 06/15/2020 11:45 AM - Katja Luther

ref #8990: add formatter for extendedTimeperiod - minor

Revision f266536e - 06/15/2020 09:31 PM - Andreas Miiller
ref #8990 fix NPE in getTemporalDataText

Revision cfddafff - 06/16/2020 09:23 AM - Andreas Miiller
ref #8990 fix NPE in getTemporalDataText (cont.)

History

#1 - 04/30/2020 10:17 AM - Andreas Miiller
- Related to feature request #8802: Implement flowering period for Flora of Cyprus added

#2 - 04/30/2020 10:17 AM - Andreas Miiller

- Related to feature request #8989: Implement flowering periods (temporal facts) in dataportal added

#3 - 05/27/2020 04:39 PM - Andreas Miiller

- Description updated
- Severity changed from normal to major

#4 - 06/12/2020 10:42 PM - Katja Luther
- Description updated

- Status changed from New to In Progress

#5 - 06/15/2020 10:58 AM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

a first implementation is available, please review.

#6 - 06/15/2020 09:35 PM - Andreas Miiller
There was still an NPE in the DescriptionHelper. | tried to fix this in f266536e

#7 - 06/15/2020 09:42 PM - Andreas Miuller

Maybe we can still improve the layout by not redundantly using "Month" and "Day" but instead having a theses labels as column headers. This will
save space.

Also a possible line break in the labels "Extreme Start" and "Extreme End" could help to support even small (in width) details views.
#8 - 06/16/2020 11:18 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 0 to 30

Andreas Muller wrote:

There was still an NPE in the DescriptionHelper. | tried to fix this in f266536e

This works now. Katja, could you please check if the fixes are correct?

#9 - 06/16/2020 11:20 AM - Andreas Miiller

- Copied to feature request #9071: Implement formatter for TimePeriod, VerbatimTimePeriod and ExtendedTimePeriod added

#10 - 06/16/2020 11:21 AM - Andreas Miiller

An improved formatter is handled in #9071

#11 - 06/16/2020 11:22 AM - Andreas Miiller
- % Done changed from 30 to 80
Andreas Muller wrote:

Maybe we can still improve the layout by not redundantly using "Month" and "Day" but instead having a theses labels as column headers. This
will save space.

Also a possible line break in the labels "Extreme Start" and "Extreme End" could help to support even small (in width) details views.

These are minor issues. If we decide to implement them we can also move them to a new ticket if necessary.

#12 - 06/16/2020 11:29 AM - Katja Luther
- Status changed from Feedback to Closed
- % Done changed from 80 to 30
Andreas Muller wrote:

Andreas Miiller wrote:

There was still an NPE in the DescriptionHelper. | tried to fix this in f266536e
This works now. Katja, could you please check if the fixes are correct?

looks good. The remaining layout issues | move to a new ticket.(#9072)

#13 - 06/16/2020 11:30 AM - Katja Luther

- Related to feature request #9072: Layout issues temporal data details view added

#14 - 06/25/2020 07:14 PM - Andreas Miiller

- Subject changed from Implement flowering seasons (temporal facts) in TaxEditor to Implement flowering periods (temporal facts) in TaxEditor

#15 - 06/25/2020 07:14 PM - Andreas Miiller
- % Done changed from 30 to 100

04/10/2024 3/3


https://dev.e-taxonomy.eu/redmine/issues/9072
http://www.tcpdf.org

